Summary:        Tool to list content of virtual tables in a C++ shared library
Name:           vtable-dumper
Version:        1.2
Release:        3%{?dist}
 
License:        GPL+ or LGPLv2+
URL:            https://github.com/lvc/vtable-dumper
Source0:        https://github.com/lvc/%{name}/archive/%{version}.tar.gz
 
BuildRequires:  make gcc gcc-c++ elfutils-libelf-devel
 
 
%description
Vtable-Dumper is a tool to list content of virtual tables in a C++ shared
library. It is intended for developers of software libraries and maintainers of
Linux distributions who are interested in ensuring backward binary
compatibility.
 
 
%prep
%autosetup
 
%build
%make_build CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"
 
 
%install
mkdir -p %{buildroot}%{_bindir}
install -pm 0755 %{name} %{buildroot}%{_bindir}/
 
 
%files
%license LICENSE
%doc README
%{_bindir}/%{name}
 
 
%changelog
* Wed Jan 17 2024 Rebuild Robot <rebot@opencloudos.org> - 1.2-3
- Rebuilt for elfutils

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jul 18 2023 cunshunxia <cunshunxia@tencent.com> - 1.2-1
- package init.
